Subject: Re: SYNC_INPUT and 23.1.

From: Jan Djärv <[email-masked]>
Date: Wed, 09 Apr 2008 08:50:17 +0200

Stefan Monnier skrev:
>>> Sinc there has been no objections, I enabled this by default.  You
>>> can pass --disable-sync-input to configure if there is problems.
>>> But I guess we soon will start take advantage of sync input so the
>>> disabled case will become obsolete.  When we feel confident that
>>> sync input works, I'll remove the non-sync-input code.
> 
>> Even with SYNC_INPUT, atimer functions (except poll_for_input)
>> may still call malloc in the signal handler context.
> 
> That needs to be fixed, then.
> 

I've changed atimers so they are not called in signal handler context.

	Jan D.